View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012315ParaView(No Category)public2011-06-24 19:462011-08-17 18:59
ReporterBurlen 
Assigned ToKen Moreland 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.12 
Summary0012315: Display->Style->Subdivision doesn't work on quadratic cells
DescriptionThe subdivision spin box doesn't affect quadratic cells. The attached file can be used to reproduce the issue. Open the file, click the display tab, under the style group, change the subdivisions to 4, there is no change. Compare this result to the tessellate filter.
TagsNo tags attached.
ProjectSandia
Topic Name 12315-display-subdivision-broken
Typeincorrect functionality
Attached Files? file icon test.vtk [^] (277 bytes) 2011-06-24 19:46
? file icon quadraticTetra01.vtu [^] (1,471 bytes) 2011-06-27 10:57

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0026898)
Ken Moreland (manager)
2011-06-27 11:07

I've noticed that there are actually two issues here. The first is that a property in the necessary server manager object disappeared so that subdivision value never makes it to the appropriate internal filter. I'm fixing that.

The second issue is that subdivision of line elements is not supported by the internal filter. Rather, only surface elements are subdivided. Thus, the fix will not have any effect on the attached test.vtk. It will, however, fix the problems with, for example, the quadraticTetra01.vtu data set (both in the ParaViewData repository and attached to this bug report for convenience). I do not intend to fix this latter problem. It is a missing feature for which I am not sure has a use case. If automatic subdivision of line elements is necessary, open a separate bug.
(0026901)
Ken Moreland (manager)
2011-06-27 13:39

Branch 12315-display-subdivision-broken

Merged commit d7c2a66f85563e99722c24c5bd93b0b1474df0d3
(0026903)
Burlen (developer)
2011-06-27 17:36

To handle line elements (VTK_QUADRATIC_EDGE cells) a user could run the tessellate filter instead.
(0026925)
Utkarsh Ayachit (administrator)
2011-06-30 14:17

For Developers: These issues are slated for gatekeeper review on July 1, 2 pm EDT.
(0026942)
Utkarsh Ayachit (administrator)
2011-07-01 15:31

Deemed not ready for merge since test is failing on kargad.

http://www.cdash.org/CDash/testDetails.php?test=103317970&build=1290252 [^]
(0026945)
Utkarsh Ayachit (administrator)
2011-07-02 11:06

Also look at the following: Baselines don't seem to match up.

http://www.cdash.org/CDash/testDetails.php?test=103477901&build=1293791 [^]
(0026966)
Ken Moreland (manager)
2011-07-05 17:26

The bad baseline images are caused by bug 0010676, which is of too low importance to fix. Instead, I've disabled the render-server test, which invokes the problem.
(0026968)
Ken Moreland (manager)
2011-07-05 17:29

The test on kargad seems to be failing in a place unrelated to changes in this bug. The test is successfully running, creating all 4 test images, passing the comparisons to the baseline images, and finishing. At some point either at the end of the test script or after the test script finishes a seg fault occurs.

I am reassigning the bug to Utkarsh to see if he can figure out why the seg fault happens.
(0027005)
David Partyka (developer)
2011-07-15 14:35

Still not passing on Kargad.
(0027047)
Utkarsh Ayachit (administrator)
2011-07-21 19:18

Scheduled for gatekeeper review on Jul 22, 2011 at 2 pm EDT.
(0027069)
Utkarsh Ayachit (administrator)
2011-07-22 14:13

Merged to git-master.
(0027378)
Alan Scott (manager)
2011-08-17 18:59

Tested development branch, local server, Linux client.

As stated below, now works with quadricTetra01.vtu, but not test.vtk.

- Issue History
Date Modified Username Field Change
2011-06-24 19:46 Burlen New Issue
2011-06-24 19:46 Burlen File Added: test.vtk
2011-06-27 10:49 Ken Moreland Assigned To => Ken Moreland
2011-06-27 10:56 Ken Moreland Status backlog => todo
2011-06-27 10:57 Ken Moreland File Added: quadraticTetra01.vtu
2011-06-27 11:07 Ken Moreland Note Added: 0026898
2011-06-27 13:38 Ken Moreland Status todo => active development
2011-06-27 13:39 Ken Moreland Note Added: 0026901
2011-06-27 13:39 Ken Moreland Status active development => gatekeeper review
2011-06-27 17:36 Burlen Note Added: 0026903
2011-06-28 21:08 Utkarsh Ayachit Project TBD => Sandia
2011-06-30 14:17 Utkarsh Ayachit Note Added: 0026925
2011-07-01 15:31 Utkarsh Ayachit Note Added: 0026942
2011-07-01 15:31 Utkarsh Ayachit Status gatekeeper review => backlog
2011-07-02 11:06 Utkarsh Ayachit Note Added: 0026945
2011-07-05 16:57 Ken Moreland Status backlog => todo
2011-07-05 16:57 Ken Moreland Status todo => active development
2011-07-05 17:26 Ken Moreland Note Added: 0026966
2011-07-05 17:27 Ken Moreland Assigned To Ken Moreland => Utkarsh Ayachit
2011-07-05 17:29 Ken Moreland Note Added: 0026968
2011-07-08 14:18 Utkarsh Ayachit Topic Name => 12315-display-subdivision-broken
2011-07-08 14:18 Utkarsh Ayachit Status active development => gatekeeper review
2011-07-08 14:18 Utkarsh Ayachit Fixed in Version => 3.12
2011-07-08 14:18 Utkarsh Ayachit Resolution open => fixed
2011-07-15 14:35 David Partyka Note Added: 0027005
2011-07-15 14:35 David Partyka Status gatekeeper review => todo
2011-07-20 11:25 Utkarsh Ayachit Status todo => active development
2011-07-20 11:25 Utkarsh Ayachit Status active development => gatekeeper review
2011-07-20 11:25 Utkarsh Ayachit Assigned To Utkarsh Ayachit => Ken Moreland
2011-07-21 19:18 Utkarsh Ayachit Note Added: 0027047
2011-07-22 14:13 Utkarsh Ayachit Status gatekeeper review => customer review
2011-07-22 14:13 Utkarsh Ayachit Note Added: 0027069
2011-08-17 18:59 Alan Scott Note Added: 0027378
2011-08-17 18:59 Alan Scott Status customer review => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker